3

When trying to install the package kodi-standalone-service however after I get prompted for editing the PKGBUILD then I get this error.

makepkg: invalid option '--asroot'
Unable to read PKGBUILD

I can't seem to find anything on this with google. This also happens in the ISL package as well. (BTW I'm using Yaourt to install this)

5

Pacman 4.2 was officially released just a few days ago. One of its changes is the removal of the option --asroot from makepkg, which means that you cannot build packages as the root user anymore.

The recommended solution now is to build packages with a non-root account.

You can read more about this change in Allan's post (he is a developer of pacman).

There are also some discussions about the motivation behind this change in the arch-general mailing list.

  • Is there any way to get around this change? I always have one shell with su running... – user104756 Feb 27 '15 at 12:19
  • Many people still complain about this change, but it was done for good...I recommend you to read Allan's blog. See the latest posts; and, specially, its comments. There are some workarounds suggested in there. – thiagowfx Feb 27 '15 at 22:46
1

The --asroot option has been removed. See the pacman changelog.

So you need to stop issuing yaourt with sudo...

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.